### Hierarchy

- StreamManagerVideo

## Index

### Properties

- id
- insertMode
- targetElement
- video

## Properties

### id

id: string

- Defined in OpenViduInternal/Interfaces/Public/StreamManagerVideo.ts:33

`id` attribute of the DOM video element displaying the StreamManager's stream

### Optional insertMode

insertMode: VideoInsertMode

- Defined in OpenViduInternal/Interfaces/Public/StreamManagerVideo.ts:55

How the DOM video element should be inserted with respect to `targetElement`. This property is defined when:

- OpenVidu.initPublisher or Session.subscribe methods have been called passing a valid `targetElement` parameter.
- [[SessionManager.createVideoElement]] has been called.

This property is undefined when:

- OpenVidu.initPublisher or Session.subscribe methods have been called passing null or undefined as `targetElement` parameter.
- [[SessionManager.addVideoElement]] has been called.

### Optional targetElement

targetElement: HTMLElement

- Defined in OpenViduInternal/Interfaces/Public/StreamManagerVideo.ts:44

The DOM HTMLElement assigned as target element when creating a video for the StreamManager. This property is defined when:

- OpenVidu.initPublisher or Session.subscribe methods have been called passing a valid `targetElement` parameter.
- [[SessionManager.createVideoElement]] has been called.

This property is undefined when:

- OpenVidu.initPublisher or Session.subscribe methods have been called passing null or undefined as `targetElement` parameter.
- [[SessionManager.addVideoElement]] has been called.

### video

video: HTMLVideoElement

- Defined in OpenViduInternal/Interfaces/Public/StreamManagerVideo.ts:28

DOM video element displaying the StreamManager's stream

Generated using TypeDoc